<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql 	= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);

$labapb 	= $r[laba_pb];
$labrug 	= $r[laba_rugi];
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);

$sql = mysql_query("SELECT * FROM jurkk WHERE kode_kk BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_kk");

while($r=mysql_fetch_array($sql)){
	$kodekk 	= $r[kode_kk];
	$tanggal	= $r[tanggal];
	$nokas 		= $r[nokas];
	$noakun 	= $r[noakun];
	$nobp 		= $r[nobp];
	$nopol		= $r[nopol];
	$jumlah		= $r[jumlah];
	$ket 			= $r[keterangan];
	$user 		= $r[user];
	$nosubks	= substr($nokas,0,3);
	$nosubak	= substr($noakun,0,3);
	$kelakun	= (int) substr($noakun,0,1);
	
	// --->kredit kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nokas'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$nokas','$nosubks','$jumlah','$ket','$user')");
	
	// --->debet noakun bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, debet bertambah
		mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,nopol,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$noakun','$nosubak','$nobp','$nopol','$jumlah','$ket','$user')");
	
	if($kelakun>3){
		// --->laba periode berjalan debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$labapb','$nosubpb','$jumlah','$ket','$user')");
		
		// --->laba rugi kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$labrug','$nosublr','$jumlah','$ket','$user')");
	}
} 
mysql_query("UPDATE jurkk SET posting='P' WHERE kode_kk BETWEEN '$kodeaw' AND '$kodeak' ");
?>
